This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 505526

Summary: ctrl-c does not pass through terminal
Product: [Fedora] Fedora Reporter: jonathan baron <baron>
Component: gnome-terminalAssignee: Behdad Esfahbod <behdad>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: behdad
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 08:55:36 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description jonathan baron 2009-06-12 04:52:34 EDT
Description of problem:
ctrl-c, by default in gnome-terminal-2.26.1-1.fc11.x86_64,
is assigned to "copy."  This prevents it from being used in
emacs.

Version-Release number of selected component (if applicable):
2.26.1-1.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1. use emacs or xemacs -nw (without an X window)
2. try to exit (ctrl-x ctrl-c)
3.
  
Actual results:
ctrl-c does not get through

Expected results:
it does

Additional info:
This can be fixed in gconf-editor, but how many users will know that?
If you use a terminal, it is likely that you will also use an editor
such as emacs on a remote host, and, if you do, you do not use an
X window.

I have changed the "copy" setting to ctrl-w (the "withdraw" setting in emacs,
which behaves differently but at least I can remember what it is).
I don't know how this problem was avoided in earlier versions of
gnome-terminal.  Maybe it was assigned to a mouse button.
Comment 1 Bug Zapper 2010-04-27 10:48:47 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-06-28 08:55:36 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.